Linux repositories inspector

krb5-mini - MIT Kerberos5 implementation and libraries with minimal dependencies

Kerberos V5 is a trusted-third-party network authentication system, which can improve your network's security by eliminating the insecure practice of clear text passwords.
The package delivers MIT Kerberos with reduced features and minimal dependencies.
1.16.3
OpenSUSE iconOpenSUSE Leap 15.1
1.15.2
OpenSUSE iconOpenSUSE Leap 15.0
1.12.5
OpenSUSE iconOpenSUSE Leap 42.3
DistributionVersionSincePackageInstalledPackager
OpenSUSE iconOpenSUSE Leap 15.0 update/ossrpm1.15.2-lp150.5.6.12019-02-051.05 MiB3.32 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.0 update/ossrpm1.15.2-lp150.5.3.12019-01-181.05 MiB3.32 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.1 update/ossrpm1.16.3-lp151.2.6.12019-09-171.08 MiB3.54 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.1 update/ossrpm1.16.3-lp151.2.3.12019-07-191.08 MiB3.54 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 ossrpm1.12.5-7.32019-01-171000 kiB3.22 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm1.12.5-9.12019-01-211000 kiB3.22 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm1.12.5-25.12019-04-051010 kiB3.21 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm1.12.5-22.12019-01-251010 kiB3.21 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm1.12.5-19.12019-01-211010 kiB3.21 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm1.12.5-16.12019-01-211010 kiB3.21 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm1.12.5-12.12019-01-211000 kiB3.22 MiBhttp://bugs.opensuse.org

Manual pages

k5srvutil(1)

k5srvutil - host key table (keytab) manipulation utility

kadmin(1)

kadmin - Kerberos V5 database administration program

kdestroy(1)

kdestroy - destroy Kerberos tickets

kinit(1)

kinit - obtain and cache Kerberos ticket-granting ticket

klist(1)

klist - list cached Kerberos tickets

kpasswd(1)

kpasswd - change a user’s Kerberos password

ksu(1)

ksu - Kerberized super-user

kswitch(1)

kswitch - switch primary ticket cache

ktutil(1)

ktutil - Kerberos keytab file maintenance utility

kvno(1)

kvno - print key version numbers of Kerberos principals

sclient(1)

sclient - sample Kerberos version 5 client

k5identity(5)

k5identity - Kerberos V5 client principal selection rules

k5login(5)

k5login - Kerberos V5 acl file for host access

kadm5.acl(5)

kadm5.acl - Kerberos ACL file

kerberos(7)

kerberos - Overview of using Kerberos

kadmin.local(8)

kadmin - Kerberos V5 database administration program

kadmind(8)

kadmind - KADM5 administration server

kdb5_ldap_util(8)

kdb5_ldap_util - Kerberos configuration utility

kdb5_util(8)

kdb5_util - Kerberos database maintenance utility

kprop(8)

kprop - propagate a Kerberos V5 principal database to a replica server

kpropd(8)

kpropd - Kerberos V5 replica KDC update server

kproplog(8)

kproplog - display the contents of the Kerberos principal update log

krb5kdc(8)

krb5kdc - Kerberos V5 KDC

sserver(8)

sserver - sample Kerberos version 5 server

Latest updates

OpenSUSE icon

OpenSUSE Leap 15.1 update/oss: Updated from 1.16.3-lp151.2.3.1 to 1.16.3-lp151.2.6.1

2019-09-17
  • Integrate pam_keyinit pam module, ksu-pam.d; (bsc#1081947); (bsc#1144047);
OpenSUSE icon

OpenSUSE Leap 15.1 update/oss: Version 1.16.3-lp151.2.3.1 introduced

2019-07-19
  • Upgrade to 1.16.3
    • Fix a regression in the MEMORY credential cache type which could cause client programs to crash.
    • MEMORY credential caches will not be listed in the global collection, with the exception of the default credential cache if it is of type MEMORY.
    • Remove an incorrect assertion in the KDC which could be used to cause a crash [CVE-2018-20217].
    • Fix bugs with concurrent use of MEMORY ccache handles.
    • Fix a KDC crash when falling back between multiple OTP tokens configured for a principal entry.
    • Fix memory bugs when gss_add_cred() is used to create a new credential, and fix a bug where it ignores the desired_name.
    • Fix the behavior of gss_inquire_cred_by_mech() when the credential does not contain an element of the requested mechanism.
    • Make cross-realm S4U2Self requests work on the client when no default_realm is configured.
    • Add a kerberos(7) man page containing documentation of the environment variables that affect Kerberos programs.
  • Use systemd-tmpfiles to create files under /var/lib/kerberos, required by transactional updates; (bsc#1100126);
  • Rename patches:
    • krb5-1.12-pam.patch => 0001-krb5-1.12-pam.patch
    • krb5-1.9-manpaths.dif => 0002-krb5-1.9-manpaths.patch
    • krb5-1.12-buildconf.patch => 0003-krb5-1.12-buildconf.patch
    • krb5-1.6.3-gssapi_improve_errormessages.dif to 0004-krb5-1.6.3-gssapi_improve_errormessages.patch
    • krb5-1.6.3-ktutil-manpage.dif => 0005-krb5-1.6.3-ktutil-manpage.patch
    • krb5-1.12-api.patch => 0006-krb5-1.12-api.patch
    • krb5-1.12-ksu-path.patch => 0007-krb5-1.12-ksu-path.patch
    • krb5-1.12-selinux-label.patch => 0008-krb5-1.12-selinux-label.patch
    • krb5-1.9-debuginfo.patch => 0009-krb5-1.9-debuginfo.patch
OpenSUSE icon

OpenSUSE Leap 42.3 update/oss: Updated from 1.12.5-22.1 to 1.12.5-25.1

2019-04-05
  • Add support for the GSS_KRB5_CRED_NO_CI_FLAGS_X cred option to suppress sending the confidentiality and integrity flags in GSS initiator tokens unless they are requested by the caller. These flags control the negotiated SASL security layer for the Microsoft GSS-SPNEGO SASL mechanism. (bsc#1087481).
  • Added patches: 0116-Implement-GSS_KRB5_CRED_NO_CI_FLAGS_X-cred-option.patch 0117-Add-tests-for-GSS_KRB5_CRED_NO_CI_FLAGS_X.patch 0118-Implement-GSS_KRB5_CRED_NO_CI_FLAGS_X-for-SPNEGO.patch
OpenSUSE icon

OpenSUSE Leap 15.0 update/oss: Version 1.15.2-lp150.5.6.1 reintroduced

2019-03-23
  • Fix flaws in LDAP DN checking; (CVE-2018-5729); (CVE-2018-5730); (bsc#1083926); (bsc#1083927)
  • Added patches:
    • 0011-Fix-flaws-in-LDAP-DN-checking.patch
OpenSUSE icon

OpenSUSE Leap 15.0 update/oss: Version 1.15.2-lp150.5.3.1 reintroduced

2019-03-23
  • Remove incorrect KDC assertion; (CVE-2018-20217); (bsc#1120489);
  • Added patches:
    • 0010-Remove-incorrect-KDC-assertion.patch
OpenSUSE icon

OpenSUSE Leap 15.0 update/oss: Version 1.15.2-lp150.5.6.1 removed

2019-03-22
OpenSUSE icon

OpenSUSE Leap 15.0 update/oss: Version 1.15.2-lp150.5.3.1 removed

2019-03-22
OpenSUSE icon

OpenSUSE Leap 15.0 update/oss: Updated from 1.15.2-lp150.5.3.1 to 1.15.2-lp150.5.6.1

2019-02-05
  • Fix flaws in LDAP DN checking; (CVE-2018-5729); (CVE-2018-5730); (bsc#1083926); (bsc#1083927)
  • Added patches:
    • 0011-Fix-flaws-in-LDAP-DN-checking.patch
OpenSUSE icon

OpenSUSE Leap 42.3 update/oss: Updated from 1.12.5-19.1 to 1.12.5-22.1

2019-01-25
  • Remove incorrect KDC assertion; (CVE-2018-20217); (bsc#1120489);
  • Added patches:
    • 0115-Remove-incorrect-KDC-assertion.patch
OpenSUSE icon

OpenSUSE Leap 42.3 update/oss: Updated from 1.12.5-16.1 to 1.12.5-19.1

2019-01-21
  • Introduce patch 0109-Preserve-GSS-context-on-init-accept-failure.patch to fix CVE-2017-11462 of bsc#1056995.
OpenSUSE icon

OpenSUSE Leap 42.3 update/oss: Updated from 1.12.5-12.1 to 1.12.5-16.1

2019-01-21
  • Introduce patch 0109-Preserve-GSS-context-on-init-accept-failure.patch to fix CVE-2017-11462 of bsc#1056995.
OpenSUSE icon

OpenSUSE Leap 42.3 update/oss: Version 1.12.5-12.1 introduced

2019-01-21
  • Introduce patch 0109-Preserve-GSS-context-on-init-accept-failure.patch to fix CVE-2017-11462 of bsc#1056995.
OpenSUSE icon

OpenSUSE Leap 15.0 update/oss: Version 1.15.2-lp150.5.3.1 introduced

2019-01-18
  • Remove incorrect KDC assertion; (CVE-2018-20217); (bsc#1120489);
  • Added patches:
    • 0010-Remove-incorrect-KDC-assertion.patch
OpenSUSE icon

OpenSUSE Leap 42.3 oss: Version 1.12.5-7.3 introduced

2019-01-17

Related packages

krb5 - The Kerberos network authentication system
krb5-mini-debuginfo - Debug information for package krb5-mini
krb5-mini-debugsource - Debug sources for package krb5-mini
krb5-mini-devel - Development files for MIT Kerberos5 (openSUSE mini variant)
⇧ Top